// Standardne ANSI-C++ biblioteke
//  - nisu potrebne sve biblioteke za ovaj primjer,
//    ali su dodane radi jedostavnije prilagodne primjera
//    za demonstraciju drugih problema
#include <stdio.h>   // standardne ulazno, izlazne funkcije
#include <stdlib.h>  // standardne C-funkcije
#include <math.h>    // potrebne matematicke funkcije

#include "ran1.c" // ucitavamo datoteku u kojoj je definiran generator

int main(void) {
	int i; float r;
	long idum = (-2578); // RAN: generatoru u pocetku prosljedjujemo negativni cijeli broj
	FILE  *fin, *fout;

	fout = fopen("IO_ran1.txt", "w"); // datoteka za pohranu
	for (i = 1; i <= 500; i++) {
		r = ran1(&idum);  // RAN: pozivamo gnereator i pohranjujemo generirani broj u varijablu r
		//ispis u datoteku
		fprintf(fout, "%7d  %13.8e\n", i, r);
		//ispis na ekran
		printf("%7d  %13.8e\n", i, r);
	}
	fclose(fout);

	// provjera zapisanih vrijednosti
	fin = fopen("IO_ran1.txt", "r"); // datoteka za citanje podataka
	idum = (-2578);     // resetiranje generatora
	// provjera resetirano-pohranjeno
	while (fscanf(fin, "%d %e", &i, &r) != EOF) {
		printf("%7d  %13.8e ?=  %13.8e\n", i, r, ran1(&idum));
	}
	return 0;
}
